#!/bin/bash

# Benutzer uid aus den Grupen "tech, marketing, vertrieb" Filtern
USER=$(for k in tech marketing vertrieb; do ldapsearch -x -b cn=$k,cn=groups,dc=knut,dc=univention,dc=de uniqueMember | sed -nre 's/^uniqueMember: //p' | awk -F "," '{print $1}' | sed 's/^....//g' ; done | sort -u)


for i in $(echo $USER);
	do 
	### Der Tag wird gefiltert, bspw am Tag 0928
	ZAHL=$(ldapsearch -xLLL uid=$i | grep --colour krb5PasswordEnd | awk '{print $2}' | sed -e 's/^....//g' | sed -e 's/.......$//g')
		
	### Mailadresse aller Benutzer ermitteln
	MAILADRES=$(ldapsearch -xLLL uid=$i | grep mailPrimaryAddress | awk '{print $2}')
		
	if [ $(date +%m%d) -eq $ZAHL ]; then
        echo -e "Hallo,\n\ndein Passwort läuft heute ab, bitte daran denken es zu ändern.\nWeitere Infos findest du im Wiki unter:\nhttps://hutten.knut.univention.de/mediawiki/index.php/FAQ#Wie_kann_ich_mein_Passwort_.C3.A4ndern.3F\n\nOpenVPN4UCS-Benutzer müssen dringend an folgenden FAQ-Eintrag denken: https://hutten.knut.univention.de/mediawiki/index.php/FAQ#Passwort_f.C3.BCr_OpenVPN4UCS_.C3.A4ndern\n\nViele Grüße\nHelpdesk" | /usr/bin/mail -a "From: helpdesk@univention.de" -e -s "Passwort ändern" $MAILADRES

        elif [ $(date +%m%d --date="1 days") -eq $ZAHL ]; then
        echo -e "Hallo,\n\ndein Passwort läuft Morgen ab, bitte daran denken es zu ändern.\nWeitere Infos findest du im Wiki unter:\nhttps://hutten.knut.univention.de/mediawiki/index.php/FAQ#Wie_kann_ich_mein_Passwort_.C3.A4ndern.3F\n\nOpenVPN4UCS-Benutzer müssen dringend an folgenden FAQ-Eintrag denken: https://hutten.knut.univention.de/mediawiki/index.php/FAQ#Passwort_f.C3.BCr_OpenVPN4UCS_.C3.A4ndern\n\nViele Grüße\nHelpdesk" | /usr/bin/mail -a "From: helpdesk@univention.de" -e -s "Passwort ändern" $MAILADRES
  
        elif [ $(date +%m%d --date="2 days") -eq $ZAHL ]; then
        echo -e "Hallo,\n\ndein Passwort läuft in 2 Tagen ab, bitte daran denken es zu ändern.\nWeitere Infos findest du im Wiki unter:\nhttps://hutten.knut.univention.de/mediawiki/index.php/FAQ#Wie_kann_ich_mein_Passwort_.C3.A4ndern.3F\n\nOpenVPN4UCS-Benutzer müssen dringend an folgenden FAQ-Eintrag denken: https://hutten.knut.univention.de/mediawiki/index.php/FAQ#Passwort_f.C3.BCr_OpenVPN4UCS_.C3.A4ndern\n\nViele Grüße\nHelpdesk" | /usr/bin/mail -a "From: helpdesk@univention.de" -e -s "Passwort ändern" $MAILADRES

        elif [ $(date +%m%d --date="3 days") -eq $ZAHL ]; then
        echo -e "Hallo,\n\ndein Passwort läuft in 3 Tagen ab, bitte daran denken es zu ändern.\nWeitere Infos findest du im Wiki unter:\nhttps://hutten.knut.univention.de/mediawiki/index.php/FAQ#Wie_kann_ich_mein_Passwort_.C3.A4ndern.3F\n\nVOpenVPN4UCS-Benutzer müssen dringend an folgenden FAQ-Eintrag denken: https://hutten.knut.univention.de/mediawiki/index.php/FAQ#Passwort_f.C3.BCr_OpenVPN4UCS_.C3.A4ndern\n\niele Grüße\nHelpdesk" | /usr/bin/mail -a "From: helpdesk@univention.de" -e -s "Passwort ändern" $MAILADRES

        fi
 		
done
